承载协议 | HTTPS GET |
|---|---|
接口方向 | 开发者应用->Health Service Kit云 |
接口URL | https://health-api.cloud.huawei.com/healthkit/v2/athleticPerformance/latest?timeZone=*** |
数据格式 | 请求消息:Content-Type: application/json 响应消息:Content-Type: application/json |
Request Header
参数 | 参数类型 | 是否必选 | 描述 |
|---|---|---|---|
timeZone | String | 是 | 时区。其中的特殊字符需要进行URL编码。 例如待设置的时区为+0800时,需要输入“%2b0800”。 |
Request Body
无
GET https://health-api.cloud.huawei.com/healthkit/v2/athleticPerformance/latest?timeZone=%2b0800 Content-Type: application/json Authorization: Bearer xxxxxxxxxxxxxxxxx
状态码为200时:
Response Header
参数 | 参数类型 | 是否必选 | 描述 |
|---|---|---|---|
Content-Type | String | 是 | 取值为:application/json; charset=UTF-8 |
Response Body
参数 | 参数类型 | 是否必选 | 描述 |
|---|---|---|---|
runningAbility | Double | 是 | 跑力指数,取值范围:20~90。 |
condition | Double | 是 | 状况指数,等级范围为:
|
fitness | Double | 是 | 体能指数,取值范围:0~80。 |
fatigue | Double | 是 | 疲劳指数,取值范围:0~160。 |
predictedTimes | PredictedTimes | 是 | 成绩预测,请参见PredictedTimes数据模型。 |